package cn.com.qmth.stmms.biz.exam.query;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.bean.ScoreVerifyVo;
import cn.com.qmth.stmms.biz.exam.enums.ScoreVerifyRule;
import cn.com.qmth.stmms.biz.exam.enums.ScoreVerifyRuleCompare;

public class ScoreVerifyQuery extends BaseQuery<ScoreVerifyVo> {

	private String studentCode;

	private String studentName;

	private ScoreVerifyRule rule;

	private ScoreVerifyRuleCompare ruleCompare;

	private Integer compareScore;

	private Integer examId;

	private Integer userId;

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public ScoreVerifyRule getRule() {
		return rule;
	}

	public void setRule(ScoreVerifyRule rule) {
		this.rule = rule;
	}

	public ScoreVerifyRuleCompare getRuleCompare() {
		return ruleCompare;
	}

	public void setRuleCompare(ScoreVerifyRuleCompare ruleCompare) {
		this.ruleCompare = ruleCompare;
	}

	public Integer getCompareScore() {
		return compareScore;
	}

	public void setCompareScore(Integer compareScore) {
		this.compareScore = compareScore;
	}

	public Integer getExamId() {
		return examId;
	}

	public void setExamId(Integer examId) {
		this.examId = examId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}


}
